// setup standard for combination wizard
general.current_standard_for_combination_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1990_NEN_2019_11;
general.current_standard_for_load_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1991_NEN_2020_08;
// general.current_standard_for_steel_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_steel_joint_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_concrete_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1992_NEN_2020_02;
general.current_standard_for_timber_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1995_NEN_2014_06;
// general.current_standard_for_aluminum_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1999_NEN_2014_01;

STEEL_DESIGN.setActive(false);
CONCRETE_DESIGN.setActive(false);
TIMBER_DESIGN.setActive(true);
ALUMINUM_DESIGN.setActive(false);
STEEL_JOINTS.setActive(false);
STRUCTURE_STABILITY.setActive(true);

general.solids_active = false;
general.surfaces_active = false;
general.members_active = true;

general.member_representatives_active = true;
general.member_set_representatives_active = true;

Material(undefined, "C20 | EN 338:2016-04");
Material(undefined, "C22 | EN 338:2016-04");
Material(undefined, "C24 | EN 338:2016-04");
Material(undefined, "C27 | EN 338:2016-04");
Material(undefined, "C30 | EN 338:2016-04");
Material(undefined, "C35 | EN 338:2016-04");

ProfileWidth = ProfileWidth / 1000;
ProfileDepth = ProfileDepth / 1000;

// definition basic section
var ProfileNameString = "R_M1 " + ProfileWidth + "/" + ProfileDepth
var sectionColumn = Section(undefined, ProfileNameString, 3, "Basis Profiel");