// create topology
// create nodes
Node(undefined, 0, 0, height, "Oorsprong");
Node(undefined, 0, 0, ColumnHeight, "Bovenkant kolom");

// create members
var section = Section(undefined, "HEA 320", 1);

Member(undefined, [1, 2]);
member.section_start = section;

// create supports
var nodal_support1 = new NodalSupport(undefined, [1]);
nodal_support1.Fixed();

// create a steel effective length
const myEff = new SteelEffectiveLengths();   // assign effective length to a variable
myEff.intermediate_nodes = false;            // do not enable intermediate nodes
myEff.comment = "Ingeklemd aan het begin";
myEff.user_defined_name_enabled = true;
myEff.name = "Star Begin";
member.steel_effective_lengths = 1;

myEff.nodal_supports[1].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[2].support_in_y = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].support_in_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_NO;

