// Static Analysis Settings
var SASGeometricallyLinear = new StaticAnalysisSettings().GeometricallyLinear(1);

// Create load cases
var load_case = new LoadCase().StaticAnalysis(1, "Eigen Gewicht", SASGeometricallyLinear.Settings.no, "ACTION_CATEGORY_PERMANENT_G", [true, 0, 0, 1.0]);
var load_case = new LoadCase().StaticAnalysis(2, "Sneeuw", SASGeometricallyLinear.Settings.no, "ACTION_CATEGORY_SNOW_ICE_LOADS_H_LESS_OR_EQUAL_TO_1000_M_QS", [false, 0, 0, 0]);
var load_case = new LoadCase().StaticAnalysis(3, "Wind in x+", SASGeometricallyLinear.Settings.no, "ACTION_CATEGORY_WIND_QW", [false, 0, 0, 0]);
var load_case = new LoadCase().StaticAnalysis(4, "Wind in x-", SASGeometricallyLinear.Settings.no, "ACTION_CATEGORY_WIND_QW", [false, 0, 0, 0]);

load_cases_and_combinations.activate_combination_wizard = true;
combination_wizard = combination_wizards.create();
// combination_wizard.static_analysis_settings = static_analysis_settings.create();
relationship_between_load_case = relationship_between_load_cases.create();

var design_situation = new DesignSituation(undefined, "Uiterste grenstoestand 6.10a en 6.10b");
// design_situation.setCombinationWizard = 1;
// design_situation.SetConsiderInclusiveExclusiveLoadCases(relationship_between_load_case.no);