// setup standard for combination wizard
general.current_standard_for_combination_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1990_NEN_2019_11;
general.current_standard_for_load_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1991_NEN_2020_08;
// general.current_standard_for_steel_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_steel_joint_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
general.current_standard_for_concrete_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1992_NEN_2020_02;
// general.current_standard_for_timber_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1995_NEN_2014_06;
// general.current_standard_for_aluminum_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1999_NEN_2014_01;

STEEL_DESIGN.setActive(false);
CONCRETE_DESIGN.setActive(true);
TIMBER_DESIGN.setActive(false);
ALUMINUM_DESIGN.setActive(false);
STEEL_JOINTS.setActive(false);
STRUCTURE_STABILITY.setActive(false);

general.solids_active = false;
general.surfaces_active = true;
general.members_active = true;

general.member_representatives_active = true;
general.member_set_representatives_active = true;

Material(undefined, "C20/25 | EN 1992-1-1:2004/A1:2014");
Material(undefined, "C30/37 | EN 1992-1-1:2004/A1:2014");
Material(undefined, "C35/45 | EN 1992-1-1:2004/A1:2014");
Material(undefined, "C55/67 | EN 1992-1-1:2004/A1:2014");
Material(undefined, "B500S(B) | EN 1992-1-1:2004/A1:2014");

// create supports
var nodal_support1 = new NodalSupport();
nodal_support1.TranslationX(true);
nodal_support1.TranslationY(true);
nodal_support1.TranslationZ(false);
nodal_support1.RotationX(false);
nodal_support1.RotationY(false);
nodal_support1.RotationZ(false);

var nodal_support2 = new NodalSupport();
nodal_support2.TranslationX(false);
nodal_support2.TranslationY(false);
nodal_support2.TranslationZ(true);
nodal_support2.RotationX(false);
nodal_support2.RotationY(false);
nodal_support2.RotationZ(false);

//create thicknesses
var th = new Thickness();
th.Uniform(undefined, "t = 250 [mm]", 2, [0.25]);
th.comment = "Dikte Betonnen Vlak - t = 250 [mm]";

var th = new Thickness();
th.Uniform(undefined, "t = 300 [mm]", 2, [0.3]);
th.comment = "Dikte Betonnen Vlak - t = 300 [mm]";

var th = new Thickness();
th.Uniform(undefined, "t = 350 [mm]", 2, [0.35]);
th.comment = "Dikte Betonnen Vlak - t = 350 [mm]";

var th = new Thickness();
th.Uniform(undefined, "t = 400 [mm]", 2, [0.40]);
th.comment = "Dikte Betonnen Vlak - t = 400 [mm]";
