// setup standard for combination wizard
general.current_standard_for_combination_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1990_NEN_2019_11;
general.current_standard_for_load_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1991_NEN_2020_08;
//general.current_standard_for_steel_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
//general.current_standard_for_steel_joint_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;

general.solids_active = false;
general.surfaces_active = true;
general.members_active = false;

STRESS_ANALYSIS.setActive(true);
MATERIAL_NONLINEAR_ANALYSIS.setActive(true);

Material(undefined, "S235 | EN 1993-1-1:2005-05", "Elastisch");
Material(undefined, "S275 | EN 1993-1-1:2005-05", "Elastisch");
Material(undefined, "S355 | EN 1993-1-1:2005-05", "Elastisch");
Material(undefined, "S450 | EN 1993-1-1:2005-05", "Elastisch");
var myMat = Material(undefined, "S235 | EN 1993-1-1:2005-05", "Isotroop | Plastisch (Vlakken/Volumes)");
myMat.material_model = 2; //Isotroop | Plastisch (Vlakken/Volumes)
var myMat = Material(undefined, "S355 | EN 1993-1-1:2005-05", "Isotroop | Plastisch (Vlakken/Volumes)");
myMat.material_model = 2; //Isotroop | Plastisch (Vlakken/Volumes)

//create thicknesses
var th = new Thickness();
th.Uniform(undefined, "t = 10 [mm] - Elastisch S355", 3, [0.01]);
th.comment = "Stalen Plaat - t = 10 [mm] - S355";

var th = new Thickness();
th.Uniform(undefined, "t = 15 [mm] - Elastisch S355", 3, [0.015]);
th.comment = "Stalen Plaat - t = 15 [mm] - S355";

var th = new Thickness();
th.Uniform(undefined, "t = 20 [mm] - Elastisch S355", 3, [0.02]);
th.comment = "Stalen Plaat - t = 20 [mm] - S355";

var th = new Thickness();
th.Uniform(undefined, "t = 25 [mm] - Elastisch S355", 3, [0.025]);
th.comment = "Stalen Plaat - t = 25 [mm] - S355";

var th = new Thickness();
th.Uniform(undefined, "t = 30 [mm] - Elastisch S355", 3, [0.03]);
th.comment = "Stalen Plaat - t = 30 [mm] - S355";

var th = new Thickness();
th.Uniform(undefined, "t = 40 [mm] - Elastisch S355", 3, [0.03]);
th.comment = "Stalen Plaat - t = 40 [mm] - S355";

var th = new Thickness();
th.Uniform(undefined, "t = 10 [mm] - Elastisch S235", 1, [0.01]);
th.comment = "Stalen Plaat - t = 10 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 15 [mm] - Elastisch S235", 1, [0.015]);
th.comment = "Stalen Plaat - t = 15 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 20 [mm] - Elastisch S235", 1, [0.02]);
th.comment = "Stalen Plaat - t = 20 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 25 [mm] - Elastisch S235", 1, [0.025]);
th.comment = "Stalen Plaat - t = 25 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 30 [mm] - Elastisch S235", 1, [0.03]);
th.comment = "Stalen Plaat - t = 30 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 40 [mm] - Elastisch S235", 1, [0.03]);
th.comment = "Stalen Plaat - t = 40 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 10 [mm] - Plastisch S235", 5, [0.01]);
th.comment = "Stalen Plaat - t = 10 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 15 [mm] - Plastisch S235", 5, [0.015]);
th.comment = "Stalen Plaat - t = 15 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 20 [mm] - Plastisch S235", 5, [0.02]);
th.comment = "Stalen Plaat - t = 20 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 25 [mm] - Plastisch S235", 5, [0.025]);
th.comment = "Stalen Plaat - t = 25 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 30 [mm] - Plastisch S235", 5, [0.03]);
th.comment = "Stalen Plaat - t = 30 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 10 [mm] - Plastisch S355", 6, [0.01]);
th.comment = "Stalen Plaat - t = 10 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 15 [mm] - Plastisch S355", 6, [0.015]);
th.comment = "Stalen Plaat - t = 15 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 20 [mm] - Plastisch S355", 6, [0.02]);
th.comment = "Stalen Plaat - t = 20 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 25 [mm] - Plastisch S355", 6, [0.025]);
th.comment = "Stalen Plaat - t = 25 [mm] - S235";

var th = new Thickness();
th.Uniform(undefined, "t = 30 [mm] - Plastisch S355", 6, [0.03]);
th.comment = "Stalen Plaat - t = 30 [mm] - S235";