//erase existing nodal supports
var containers = nodal_supports;

for (var i = 0; i < 1000; ++i) {

    containers.erase(i);

}

applyChanges();

// create supports
var nodal_support1 = new NodalSupport(undefined);
nodal_support1.Fixed();
nodal_support1.RotationX(true);
nodal_support1.RotationZ(true);
nodal_supports[1].user_defined_name_enabled = true;
nodal_supports[1].name = "Standaard";

var nodal_support2 = new NodalSupport(undefined);
nodal_support2.Hinged();
nodal_support2.TranslationX(false);
nodal_support2.RotationZ(false);
nodal_supports[2].user_defined_name_enabled = true;
nodal_supports[2].name = "Rol in X (Z en Y)";

var nodal_support3 = new NodalSupport(undefined);
nodal_support3.Hinged();
nodal_support3.TranslationY(false);
nodal_support3.RotationZ(false);
nodal_supports[3].user_defined_name_enabled = true;
nodal_supports[3].name = "Rol in Y (Z en X)";

var nodal_support4 = new NodalSupport(undefined);
nodal_support4.Hinged();
nodal_support4.TranslationX(false);
nodal_support4.TranslationY(false);
nodal_support4.RotationZ(false);
nodal_supports[4].user_defined_name_enabled = true;
nodal_supports[4].name = "Enkel Z star";

var nodal_support5 = new NodalSupport(undefined);
nodal_support5.Hinged();
nodal_support5.TranslationX(false);
nodal_support5.TranslationY(false);
nodal_support5.RotationZ(false);
nodal_supports[5].spring_z = spring*1000;
nodal_supports[5].spring_x = spring;
nodal_supports[5].spring_y = spring;
nodal_supports[5].user_defined_name_enabled = true;
nodal_supports[5].name = "Enkel Z veer";

var nodal_support6 = new NodalSupport(undefined);
nodal_support6.Hinged();
nodal_support6.TranslationX(false);
nodal_support6.TranslationY(false);
nodal_support6.RotationZ(false);
nodal_supports[6].spring_z = spring * 1000;
nodal_supports[6].spring_x = spring;
nodal_supports[6].spring_y = spring;
nodal_supports[6].spring_z_nonlinearity = 2; //NONLINEARITY_TYPE_FAILURE_IF_NEGATIVE

var nodal_support7 = new NodalSupport(undefined);
nodal_supports[7].fictitious_column_enabled = true;
nodal_supports[7].column_height = pilelength;

//create material for column
Material(undefined, "C35/45 | EN 1992-1-1:2004/A1:2014");

nodal_supports[7].column_material = 1;
nodal_supports[7].column_shear_stiffness = false;
nodal_supports[7].column_width_x = pilewidth/1000;
nodal_supports[7].column_width_y = nodal_supports[7].column_width_x;
nodal_supports[7].user_defined_name_enabled = true;
nodal_supports[7].name = "Funderingspaal";
