// setup standard for combination wizard
general.current_standard_for_combination_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1990_NEN_2019_11;
general.current_standard_for_load_wizard = general.NATIONAL_ANNEX_AND_EDITION_EN_1991_NEN_2020_08;
general.current_standard_for_steel_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_steel_joint_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1993_NEN_2016_12;
// general.current_standard_for_concrete_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1992_NEN_2020_02;
// general.current_standard_for_timber_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1995_NEN_2014_06;
// general.current_standard_for_aluminum_design = general.NATIONAL_ANNEX_AND_EDITION_EN_1999_NEN_2014_01;

STEEL_DESIGN.setActive(false);
CONCRETE_DESIGN.setActive(true);
TIMBER_DESIGN.setActive(false);
ALUMINUM_DESIGN.setActive(false);
STEEL_JOINTS.setActive(false);

Angle = 0;

general.setGlobalAxesOrientationZUp(true);
general.setLocalAxesOrientationZDown(true);

// create topology
// create nodes
Node(undefined, 0, 0, 0, "Oorsprong");
Node(undefined, 0, 0, ColumnHeight, "");

// create members
var section = Section(undefined, "CIRCLE_M1 " + ProfileDiameter / 1000, 3);

Member(undefined, [1, 2]);
member.section_start = section;

// create supports
var nodal_support1 = new NodalSupport(undefined, [1]);
nodal_support1.Fixed();
//nodal_support1.RotationX(true);
//nodal_support1.RotationZ(false);