// Static Analysis Settings
var SASGeometricallyLinear = new StaticAnalysisSettings().GeometricallyLinear(1);

// Create load cases
var load_case = new LoadCase().StaticAnalysis(1, "Eigen Gewicht", SASGeometricallyLinear.Settings.no, "ACTION_CATEGORY_PERMANENT_G", [true, 0, 0, 1.0]);
var load_case = new LoadCase().StaticAnalysis(2, "Veranderlijk", SASGeometricallyLinear.Settings.no, "ACTION_CATEGORY_IMPOSED_LOADS_CATEGORY_E_STORAGE_AREAS_QI_E", [false, 0, 0, 0]);

load_cases_and_combinations.activate_combination_wizard = true;
combination_wizard = combination_wizards.create();
combination_wizard.static_analysis_settings = 1; // refer to the 1st setting
//relationship_between_load_case = relationship_between_load_cases.create();

var design_situation = new DesignSituation(undefined, "DESIGN_SITUATION_TYPE_STR_PERMANENT_AND_TRANSIENT_6_10A_6_10B");
design_situation.SetCombinationWizard(combination_wizard.no);
//design_situation.SetConsiderInclusiveExclusiveLoadCases(relationship_between_load_case.no);