// activate steel design add-on
STEEL_DESIGN.setActive(true);
general.current_standard_for_steel_design = 17; //EN 1993 | CEN | 2015-06

// create a steel effective length
const myEff = new SteelEffectiveLengths();   // assign effective length to a variable
myEff.intermediate_nodes = false;            // do not enable intermediate nodes
myEff.comment = "Kniklengte is systeemlengte";
myEff.user_defined_name_enabled = true;
myEff.name = "Systeem";
myEff.nodal_supports[1].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[1].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[2].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[2].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_NO;

// create a steel effective length
const myEff = new SteelEffectiveLengths();   // assign effective length to a variable
myEff.intermediate_nodes = true;            // enable intermediate nodes
myEff.comment = "Volledig aan het begin en einde plus tussensteunen op de bovenflens";
myEff.user_defined_name_enabled = true;
myEff.name = "Bovenflens";
myEff.nodal_supports[1].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[1].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_NO;

for (var i = 0; i < 11; i++) {

    myEff.nodal_supports.insert_row(2);         // insert the intermediate row
    // set support statuses
    myEff.nodal_supports[2].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
    myEff.nodal_supports[2].eccentricity_type = 1; // on upper flange
}

myEff.nodal_supports[13].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[13].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[13].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[13].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_NO;

// create a steel effective length
const myEff = new SteelEffectiveLengths();   // assign effective length to a variable
myEff.intermediate_nodes = false;            // do not enable intermediate nodes
myEff.comment = "Ingeklemd aan het begin";
myEff.user_defined_name_enabled = true;
myEff.name = "Star Begin";
myEff.nodal_supports[1].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[2].support_in_y = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].support_in_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_NO;
myEff.nodal_supports[2].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_NO;

// create a steel effective length
const myEff = new SteelEffectiveLengths();   // assign effective length to a variable
myEff.intermediate_nodes = false;            // do not enable intermediate nodes
myEff.comment = "Ingeklemd aan het begin en het einde";
myEff.user_defined_name_enabled = true;
myEff.name = "Star Beide";
myEff.nodal_supports[1].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[1].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[2].support_in_y = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[2].restraint_about_x = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[2].restraint_about_z = steel_effective_lengths.SUPPORT_STATUS_YES;
myEff.nodal_supports[2].restraint_warping = steel_effective_lengths.SUPPORT_STATUS_YES;
